---
title: Accept-Post
slug: Web/HTTP/Headers/Accept-Post
tags:
  - Accept-Post
  - HTTP
  - HTTP Header
  - Response Header
---
<div>{{HTTPSidebar}}</div>

<p>The <strong><code>Accept-Post</code></strong> response HTTP header advertises which <a href="/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types">media types</a> are accepted by the server for HTTP post requests.</p>

<p><strong><code>Accept-Post</code></strong> in response to any method means that <code>POST</code> is allowed on the requested resource (any document/media format in the header further indicates that the document format is allowed).</p>

<p>For example, a server receiving a <code>POST</code> request with an unsupported media type could reply with {{HTTPStatus("415")}} <code>Unsupported Media Type</code> and an <code><strong>Accept-Post</strong></code> header referencing one or more supported media types.</p>

<div class="note"><strong>Notes:</strong>

<ul>
 <li>
  <p>An IANA registry maintains <a class="external" href="http://www.iana.org/assignments/http-parameters/http-parameters.xml#http-parameters-1">a complete list of official content encodings</a>.</p>
 </li>
</ul>
</div>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Header type</th>
   <td>{{Glossary("Response header")}}</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("Forbidden header name")}}</th>
   <td>yes</td>
  </tr>
 </tbody>
</table>

<h2 id="Syntax">Syntax</h2>

<pre class="notranslate">Accept: &lt;MIME_type&gt;/&lt;MIME_subtype&gt;
Accept: &lt;MIME_type&gt;/*
Accept: */*</pre>

<div class="note"><strong>Notes: </strong>The <code>Accept-Post</code> header specifies a media range in the same way as {{HTTPHeader("Accept-Language")}}, except that it has no notion of preference (i.e. "accept-params" or "q" arguments are not significant).</div>

<h2 id="Directives">Directives</h2>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<pre class="syntaxbox notranslate">Accept-Post: application/example, text/example
Accept-Post: image/webp
Accept-Post: */*
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><a href="https://www.w3.org/TR/ldp/#header-accept-post">Linked Data Platform 1.0, Section 7.1: The Accept-Post Response Header</a></td>
   <td>ACCEPT POST</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>Browser compatibility is not relevant for this header (header is sent by server, and the specification does not define client behaviour).</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Http method {{HTTPMethod("POST")}}</li>
 <li>HTTP Semantic and context {{RFC("7231", "POST", "4.3.3")}}</li>
</ul>
